> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dry Run Bias

> Run a lightweight in-memory bias-shortcut screen on the session DataFrame.

This is a cheap preview of what the real `bias_shortcut` engine would find
without spinning up ECS / writing Scan records. Intended for iterative
exploration before publishing.



## OpenAPI

````yaml /api-reference/openapi.json post /api/playground/sessions/{session_id}/dry-run-bias
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/playground/sessions/{session_id}/dry-run-bias:
    post:
      tags:
        - playground-integrations
      summary: Dry Run Bias
      description: >-
        Run a lightweight in-memory bias-shortcut screen on the session
        DataFrame.


        This is a cheap preview of what the real `bias_shortcut` engine would
        find

        without spinning up ECS / writing Scan records. Intended for iterative

        exploration before publishing.
      operationId: dry_run_bias_api_playground_sessions__session_id__dry_run_bias_post
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DryRunBiasRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DryRunBiasResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DryRunBiasRequest:
      properties:
        target_column:
          type: string
          minLength: 1
          title: Target Column
        protected_columns:
          items:
            type: string
          type: array
          minItems: 1
          title: Protected Columns
        max_rows:
          type: integer
          maximum: 200000
          minimum: 100
          title: Max Rows
          default: 20000
      type: object
      required:
        - target_column
        - protected_columns
      title: DryRunBiasRequest
    DryRunBiasResponse:
      properties:
        session_id:
          type: string
          title: Session Id
        target_column:
          type: string
          title: Target Column
        protected_columns:
          items:
            type: string
          type: array
          title: Protected Columns
        evaluated_rows:
          type: integer
          title: Evaluated Rows
        hypotheses:
          items:
            $ref: '#/components/schemas/DryRunHypothesis'
          type: array
          title: Hypotheses
        overall_risk:
          type: string
          title: Overall Risk
      type: object
      required:
        - session_id
        - target_column
        - protected_columns
        - evaluated_rows
        - hypotheses
        - overall_risk
      title: DryRunBiasResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DryRunHypothesis:
      properties:
        protected:
          type: string
          title: Protected
        target:
          type: string
          title: Target
        association:
          type: number
          title: Association
        strength:
          type: string
          title: Strength
        sample_counts:
          additionalProperties:
            type: integer
          type: object
          title: Sample Counts
          default: {}
        description:
          type: string
          title: Description
      type: object
      required:
        - protected
        - target
        - association
        - strength
        - description
      title: DryRunHypothesis
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````